List Asana tasks
get
https://api.expiryedge.com/v1/integrations/asana/tasksany role60/min
Request
curl 'https://api.expiryedge.com/v1/integrations/asana/tasks?project_gid=1200000000000042&assignee=me' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY"Response
{
"success": true,
"tasks": [
{
"gid": "1200000000000777",
"name": "Renew dental board license",
"due_on": "2026-10-15",
"notes": "",
"assignee": null,
"completed": false
}
]
}Pass project_gid, or workspace_gid (optionally with assignee, default me).
project_gidstringList tasks in this project.workspace_gidstringList tasks in this workspace forassignee.assigneestringAsana user gid orme; used withworkspace_gid.Defaultme
200
Tasks (
gid, name, due_on, notes, assignee, completed).successbooleanAllowedtruetasksarray of objects
400 | The user has no organization, the provider is not connected, validation failed, or the provider API call failed. |
401 | Missing, expired or invalid bearer token. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
